Package org.gradle.plugin.management

# Interface PluginResolutionStrategy

public interface PluginResolutionStrategy
Allows modification of `PluginRequest`s before they are resolved.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `eachPlugin(Action<? super PluginResolveDetails> rule)`
  Adds an action that is executed for each plugin that is resolved.

- ## Method Details

  - ### eachPlugin

    void eachPlugin(Action<? super PluginResolveDetails> rule)
    Adds an action that is executed for each plugin that is resolved. The `PluginResolveDetails` parameter contains information about the plugin that was requested and allows the rule to modify which plugin will actually be resolved.